# BungeeCommandExecutionContext (ACF (Bungee) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: BungeeCommandExecutionContext

Package co.aikar.commands

# Class BungeeCommandExecutionContext

java.lang.Object
co.aikar.commands.CommandExecutionContext<BungeeCommandExecutionContext,BungeeCommandIssuer>
co.aikar.commands.BungeeCommandExecutionContext

public class BungeeCommandExecutionContext extends co.aikar.commands.CommandExecutionContext<BungeeCommandExecutionContext,BungeeCommandIssuer>

## Field Summary

### Fields inherited from class co.aikar.commands.CommandExecutionContext

`issuer`

## Method Summary

Modifier and Type
Method
Description
`net.md_5.bungee.api.connection.ProxiedPlayer`
`getPlayer()`
`net.md_5.bungee.api.CommandSender`
`getSender()`

### Methods inherited from class co.aikar.commands.CommandExecutionContext

`canOverridePlayerContext, getAnnotation, getAnnotationValue, getAnnotationValue, getArgs, getBooleanFlagValue, getBooleanFlagValue, getCmd, getDoubleFlagValue, getFirstArg, getFlags, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFloatFlagValue, getIndex, getIntFlagValue, getIssuer, getLastArg, getLongFlagValue, getNumParams, getParam, getParameterPermissions, getPassedArgs, getResolvedArg, getResolvedArg, getResolvedArg, hasAnnotation, hasFlag, isLastArg, isOptional, joinArgs, joinArgs, popFirstArg, popLastArg`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSender

public net.md_5.bungee.api.CommandSender getSender()

### getPlayer

public net.md_5.bungee.api.connection.ProxiedPlayer getPlayer()